%define KDEDIR /usr
Summary: A CD-ROM mounting utility.
Name: autorun
Version: 2.61
Release: 1
Copyright: GPL
Group: Applications/System
Source: %name-%{PACKAGE_VERSION}.tar.gz
Source1: Autorun.kdelnk
BuildRoot: /var/tmp/%{name}-root
Requires: kdemultimedia kdebase

%description
The autorun utility recognizes all of the CD-ROM drives on your
system, mounts the drive when a CD-ROM is inserted and executes an
autorun executable (if one exists) on the CD. If you want to give
users (instead of just root) the autorun ability, you'll need to add
user,exec options to the CD-ROM line in /etc/fstab.

%prep
%setup

%build
cp -f %{SOURCE1} .
autoconf
export KDEDIR=%{KDEDIR}
%{configure} --sysconfdir=/etc \
        --datadir=%{KDEDIR}/share
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/skel/Desktop/Autostart
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
/usr/bin/autorun
%{KDEDIR}/share/applnk/Utilities/Autorun.kdelnk
/etc/skel/Desktop/Autostart/Autorun.kdelnk
/usr/man/man?/*

%changelog
* Thu Feb 14 2000 Harald Hoyer <harald@redhat.com>
- updated man page

* Thu Feb 10 2000 Harald Hoyer <harald@redhat.com>
- released 2.6
- fixed insert-notify bug

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up Autorun.kdelnk

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary

* Tue Nov 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- version 2.5
- some .spec cleanups

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- correct patch for the "owner" option

* Wed Sep 22 1999 Preston Brown <pbrown@redhat.com>
- require kdemultimedia (kscd) and kdebase (kfmexec)

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fixed path to autorun script
- don't install .kdelnks; we now check for autorun in startkde
  and act accordingly

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- patched to allow "owner" mount option

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- enabled back KDE-only mode

* Mon Sep 06 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3

* Mon Aug 23 1999 Cristian Gafton <gafton@redhat.com>
- imported for Red Hat Linux 6.1
- patch it up to make it more desktop-independednt (and require cdp because
  of that)
